← OBPv7.0.0 Create Group POST /obp/v7.0.0/management/groups OBPv6.0.0-createGroup No role required Group Create a new group of roles. Groups can be either: System-level (bank_id = null) - requires CanCreateGroupAtAllBanks role Bank-level (bank_id provided) - requires CanCreateGroupAtOneBank role A group contains a list of role names that can be assigned together. User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON request body fields (5) group_description group_descriptiongroup_name group_nameis_enabled is_enabledlist_of_roles list_of_rolesbank_id gh.29.uk JSON response body fields (6) group_description group_descriptiongroup_id group_idgroup_name group_nameis_enabled is_enabledlist_of_roles list_of_rolesbank_id gh.29.uk Example request body { "bank_id": "gh.29.uk", "group_name": "Teller Group", "group_description": "Standard teller roles for branch operations", "list_of_roles": [ "CanGetCustomer", "CanGetAccount", "CanCreateTransaction" ], "is_enabled": true } Example success response { "group_id": "group-id-123", "bank_id": "gh.29.uk", "group_name": "Teller Group", "group_description": "Standard teller roles for branch operations", "list_of_roles": [ "CanGetCustomer", "CanGetAccount", "CanCreateTransaction" ], "is_enabled": true } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-10001: Incorrect json format.OBP-50000: Unknown Error.